package com.ghy.order.service;

import java.util.List;
import com.ghy.order.domain.OrderAddRecord;

/**
 * 发单加价记录Service接口
 *
 * @author clunt
 * @date 2023-11-03
 */
public interface IOrderAddRecordService
{
    /**
     * 查询发单加价记录
     *
     * @param id 发单加价记录主键
     * @return 发单加价记录
     */
    public OrderAddRecord selectOrderAddRecordById(Long id);

    /**
     * 查询发单加价记录列表
     *
     * @param orderAddRecord 发单加价记录
     * @return 发单加价记录集合
     */
    public List<OrderAddRecord> selectOrderAddRecordList(OrderAddRecord orderAddRecord);

    /**
     * 新增发单加价记录
     *
     * @param orderAddRecord 发单加价记录
     * @return 结果
     */
    public int insertOrderAddRecord(OrderAddRecord orderAddRecord);

    /**
     * 修改发单加价记录
     *
     * @param orderAddRecord 发单加价记录
     * @return 结果
     */
    public int updateOrderAddRecord(OrderAddRecord orderAddRecord);

    /**
     * 批量删除发单加价记录
     *
     * @param ids 需要删除的发单加价记录主键集合
     * @return 结果
     */
    public int deleteOrderAddRecordByIds(String ids);

    /**
     * 删除发单加价记录信息
     *
     * @param id 发单加价记录主键
     * @return 结果
     */
    public int deleteOrderAddRecordById(Long id);
}